#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <stdlib.h>
#include <sstream>


// Ukzka surovho etzcovho literlu a ukonen 
// programu jinde ne ve funkci main()
// Zatek nov implementace filtru SORT

using namespace std;

typedef bool (*kompartor)(string& s1, string& s2);

const char* npovda = R"aa(SORT - program pro tdn soubor
Pouit: SORT [parametr] < [vstupn soubor] > [vstupn soubor]
Mon parametry:
-n nebo /n  tdn podle sla na potku dky
-l nebo /l  lexikografick tdn
Ferda Mravenec, prce veho druhu)aa";

bool lexikografick_kompartor(string& s1, string& s2)
{
	return s1 < s2;
}

bool numerick_kompartor(string& s1, string& s2)
{
	istringstream vstup1(s1);
	istringstream vstup2(s2);
	int n1, n2;
	vstup1 >> n1;
	vstup2 >> n2;
	return n1 < n2;
}

void vpis_npovdy()
{
	system("CHCP 1250 > NUL");
	cerr << npovda << endl;
	system("CHCP 852 > NUL");
	exit(1);
}


kompartor analza_pkazov_dky(int argc, char* argv[])
{
	if (argc != 2)
	{
		vpis_npovdy();
	}
	if ((argv[1][0] != '/') && (argv[1][0] != '-'))
	{
		vpis_npovdy();
	}
	switch (argv[1][1])
	{
	case 'n':
		return numerick_kompartor;
	case 'l':
		return lexikografick_kompartor;
	default:
		vpis_npovdy();
	}
	
}


int main(int argc, char* argv[])
{
	auto komp = analza_pkazov_dky(argc, argv);
	string dka;
	vector<string> data;
	while (getline(cin, dka))
	{
		data.push_back(dka);
	}
	sort(data.begin(), data.end(), komp);
	for (auto s : data)
	{
		cout << s << endl;
	}
}

